import { Component } from '@angular/core';
import { Article } from './article';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  selectedItem: Article;
  articles: Article[] = [
    {
      url: 'http://hoge/',
      title: 'ほげ',
      author: '五右衛門',
      view: 51334,
      updated: '2018/05/13'
    },
    {
      url: 'http://hoge/2',
      title: 'ほげ2',
      author: '五右衛門2',
      view: 61334,
      updated: '2018/06/13'
    },
    {
      url: 'http://hoge/3',
      title: 'ほげ3',
      author: '五右衛門3',
      view: 71334,
      updated: '2018/07/13'
    },
  ];

  onclick(article: Article) {
    this.selectedItem = article;
  }

  oncreated(article: Article) {
    this.articles.push(article);
  }
}
